mutex.h File Reference
`#include <wibble/sys/macros.h>`
`#include <wibble/exception.h>`
`#include <errno.h>`
Include dependency graph for mutex.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | wibble::sys::Mutex
| pthread mutex wrapper; WARNING: the class allows copying and assignment, but this is not always safe. More...
class | wibble::sys::MutexLockT< Mutex >
| Acquire a mutex lock, RAII-style. More...
class | wibble::sys::Condition

## Namespaces

| wibble
| wibble::sys

## Typedefs

typedef MutexLockT< Mutex > | wibble::sys::MutexLock